# 모델링

## 모델링 생성

> 파일을 업로드하여 모델링을 생성한다.

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"모델링"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseModelingResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/ModelingResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"ModelingResponse":{"type":"object","properties":{"id":{"type":"string","description":"모델링 ID"},"name":{"type":"string","description":"모델링 이름"},"enterpriseId":{"type":"string","description":"기업 ID"},"userId":{"type":"string","description":"사용자 ID"},"renderingStatus":{"type":"string","description":"렌더링 상태","enum":["WAITING","PROCESSING","COMPLETED","FAILED"]},"renderingStartedAt":{"type":"string","format":"date-time","description":"렌더링 시작일시"},"renderingFinishedAt":{"type":"string","format":"date-time","description":"렌더링 완료일시"},"renderingFailedAt":{"type":"string","format":"date-time","description":"렌더링 실패일시"},"dimension":{"$ref":"#/components/schemas/ModelingDimension","description":"치수 정보"},"images":{"type":"array","description":"이미지 에셋 목록","items":{"$ref":"#/components/schemas/ModelingAsset"}},"file":{"$ref":"#/components/schemas/ModelingAsset","description":"원본 파일 에셋"},"editorAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"에디터 에셋"},"renderAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"렌더 에셋"},"decimateAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"데시메이트 에셋"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","dimension","id","images","name","renderingStatus","updatedAt","userId"]},"ModelingDimension":{"type":"object","properties":{"mmWidth":{"type":"number","description":"너비 (mm)"},"mmDepth":{"type":"number","description":"깊이 (mm)"},"mmHeight":{"type":"number","description":"높이 (mm)"},"inchWidth":{"type":"number","description":"너비 (inch)"},"inchDepth":{"type":"number","description":"깊이 (inch)"},"inchHeight":{"type":"number","description":"높이 (inch)"}},"required":["inchDepth","inchHeight","inchWidth","mmDepth","mmHeight","mmWidth"]},"ModelingAsset":{"type":"object","properties":{"id":{"type":"string","description":"에셋 ID"},"name":{"type":"string","description":"에셋 이름"},"url":{"type":"string","description":"에셋 URL"}},"required":["id","name","url"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/modelings":{"post":{"tags":["모델링"],"summary":"모델링 생성","description":"파일을 업로드하여 모델링을 생성한다.","operationId":"createModeling","parameters":[{"name":"isPersonal","in":"query","description":"개인 라이브러리 여부","required":false,"schema":{"type":"boolean"}},{"name":"startModeling","in":"query","description":"즉시 렌더링 시작 여부","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"모델링 이름"},"file":{"type":"string","format":"binary","description":"모델링 파일"}},"required":["file","name"]}}}},"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseModelingResponse"}}}}}}}}}
```

## 모델링 파일 변경

> 모델링의 원본 파일을 변경한다.

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"모델링"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseModelingResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/ModelingResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"ModelingResponse":{"type":"object","properties":{"id":{"type":"string","description":"모델링 ID"},"name":{"type":"string","description":"모델링 이름"},"enterpriseId":{"type":"string","description":"기업 ID"},"userId":{"type":"string","description":"사용자 ID"},"renderingStatus":{"type":"string","description":"렌더링 상태","enum":["WAITING","PROCESSING","COMPLETED","FAILED"]},"renderingStartedAt":{"type":"string","format":"date-time","description":"렌더링 시작일시"},"renderingFinishedAt":{"type":"string","format":"date-time","description":"렌더링 완료일시"},"renderingFailedAt":{"type":"string","format":"date-time","description":"렌더링 실패일시"},"dimension":{"$ref":"#/components/schemas/ModelingDimension","description":"치수 정보"},"images":{"type":"array","description":"이미지 에셋 목록","items":{"$ref":"#/components/schemas/ModelingAsset"}},"file":{"$ref":"#/components/schemas/ModelingAsset","description":"원본 파일 에셋"},"editorAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"에디터 에셋"},"renderAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"렌더 에셋"},"decimateAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"데시메이트 에셋"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","dimension","id","images","name","renderingStatus","updatedAt","userId"]},"ModelingDimension":{"type":"object","properties":{"mmWidth":{"type":"number","description":"너비 (mm)"},"mmDepth":{"type":"number","description":"깊이 (mm)"},"mmHeight":{"type":"number","description":"높이 (mm)"},"inchWidth":{"type":"number","description":"너비 (inch)"},"inchDepth":{"type":"number","description":"깊이 (inch)"},"inchHeight":{"type":"number","description":"높이 (inch)"}},"required":["inchDepth","inchHeight","inchWidth","mmDepth","mmHeight","mmWidth"]},"ModelingAsset":{"type":"object","properties":{"id":{"type":"string","description":"에셋 ID"},"name":{"type":"string","description":"에셋 이름"},"url":{"type":"string","description":"에셋 URL"}},"required":["id","name","url"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/modelings/{id}/file":{"patch":{"tags":["모델링"],"summary":"모델링 파일 변경","description":"모델링의 원본 파일을 변경한다.","operationId":"updateModelingFile","parameters":[{"name":"id","in":"path","description":"모델링 ID","required":true,"schema":{"type":"string"}},{"name":"startModeling","in":"query","description":"즉시 렌더링 시작 여부","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"새 모델링 파일"}},"required":["file"]}}}},"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseModelingResponse"}}}}}}}}}
```

## GET /api/v1/modelings/{id}

> 모델링 조회

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"모델링"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseModelingResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/ModelingResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"ModelingResponse":{"type":"object","properties":{"id":{"type":"string","description":"모델링 ID"},"name":{"type":"string","description":"모델링 이름"},"enterpriseId":{"type":"string","description":"기업 ID"},"userId":{"type":"string","description":"사용자 ID"},"renderingStatus":{"type":"string","description":"렌더링 상태","enum":["WAITING","PROCESSING","COMPLETED","FAILED"]},"renderingStartedAt":{"type":"string","format":"date-time","description":"렌더링 시작일시"},"renderingFinishedAt":{"type":"string","format":"date-time","description":"렌더링 완료일시"},"renderingFailedAt":{"type":"string","format":"date-time","description":"렌더링 실패일시"},"dimension":{"$ref":"#/components/schemas/ModelingDimension","description":"치수 정보"},"images":{"type":"array","description":"이미지 에셋 목록","items":{"$ref":"#/components/schemas/ModelingAsset"}},"file":{"$ref":"#/components/schemas/ModelingAsset","description":"원본 파일 에셋"},"editorAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"에디터 에셋"},"renderAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"렌더 에셋"},"decimateAsset":{"$ref":"#/components/schemas/ModelingAsset","description":"데시메이트 에셋"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","dimension","id","images","name","renderingStatus","updatedAt","userId"]},"ModelingDimension":{"type":"object","properties":{"mmWidth":{"type":"number","description":"너비 (mm)"},"mmDepth":{"type":"number","description":"깊이 (mm)"},"mmHeight":{"type":"number","description":"높이 (mm)"},"inchWidth":{"type":"number","description":"너비 (inch)"},"inchDepth":{"type":"number","description":"깊이 (inch)"},"inchHeight":{"type":"number","description":"높이 (inch)"}},"required":["inchDepth","inchHeight","inchWidth","mmDepth","mmHeight","mmWidth"]},"ModelingAsset":{"type":"object","properties":{"id":{"type":"string","description":"에셋 ID"},"name":{"type":"string","description":"에셋 이름"},"url":{"type":"string","description":"에셋 URL"}},"required":["id","name","url"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/modelings/{id}":{"get":{"tags":["모델링"],"summary":"모델링 조회","operationId":"getModeling","parameters":[{"name":"id","in":"path","description":"모델링 ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseModelingResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev/api-3/undefined-8.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
